package com.yakindu.ea.examples.orderingsoftware.template.jpa

import com.yakindu.ea.examples.orderingsoftware.template.core.TestClassTemplate
import com.yakindu.bridges.ea.examples.runtime.codegen.EACodegen
import com.yakindu.bridges.ea.examples.runtime.codegen.EACodegenFile
import org.eclipse.core.resources.IFile
import org.eclipse.uml2.uml.Class

class JPATestClassTemplate extends TestClassTemplate {
	@EACodegenFile
	override path(Class element, IFile defaultFile) {
		val file = super.path(element, defaultFile)
		if (file !== null) {
			return getTargetFilePath("jpa.test", "com/example/orderingsoftware/test/" + file.name);
		}
	}
	
	@EACodegen("java")
	override generate(Class element) {
		if (!element.abstract) {
			super.generate(element)
		}
	}	
}